#ifndef PRINTDIALOGPAGE_H
#define PRINTDIALOGPAGE_H

#include <tdeprint/kprintdialogpage.h>
#include <tqmap.h>
#include <tqstring.h>

class TQCheckBox;
class TQWidget;

class PrintDialogPage : public KPrintDialogPage
{
	Q_OBJECT
  

	public:
		PrintDialogPage(TQWidget *parent = 0, const char *name = 0);

		//reimplement virtual functions
		void getOptions(TQMap<TQString, TQString> &opts, bool incldef = false);
		void setOptions(const TQMap<TQString, TQString> &opts);

	private:
		TQCheckBox *bgCheck;
		TQCheckBox *titleCheck;
};

#endif
